REST API›Policy›Policy Builder

GET

Lists all active touchpoints across all scopes. Each touchpoint includes the scope it belongs to. Results are sorted by touchpoint name.

Non-admin callers only see touchpoints they are allowed to use. See also the List touchpoints for a scope API.

Path Params

  • enterpriseId string required
    Your Enterprise Id.

Query Params

  • page integer
    Page number (1-based)

    >= 1

    Defaults to 1

  • pageSize integer
    Number of results per page

    >= 1 · <= 500

    Defaults to 20

Responses

200
Paginated list of available Touchpoints across all scopes

Response Body

object

A paginated list of Touchpoints
  • touchpoints array of objects
    touchpoints object
    • id string required
      Id of the Touchpoint. A UUID.
    • name string enum required
      Name of the Touchpoint.
      wallet.segregated.transferpolicies.management.edit
    • label string required
      A label for the Touchpoint which can be shown to an end user.
    • description string required
      A description for the Touchpoint which can be shown to an end user.
    • status string enum required

      Status of the Touchpoint. Indicates if the Touchpoint is usable ACTIVE or not INACTIVE.

      • ACTIVE - The Touchpoint is available for use.
      • INACTIVE - The Touchpoint is NOT available for use.
      ACTIVEINACTIVE
    • adminOnly boolean required
      true, if this is an internal Touchpoint, false otherwise.
    • scopeId string
      Id of the Scope this Touchpoint belongs to. A UUID. Each Touchpoint belongs to exactly one Scope. Only returned by the List all touchpoints API.
    • scopeName string
      Name of the Scope this Touchpoint belongs to. Only returned by the List all touchpoints API.
  • page integer required
    Page number. Page numbers start at 1.
  • totalPages integer required
    Total number of pages. Total pages start at 1.
  • totalElements integer required
    Total number of elements across all pages.
401
Unauthorized

Response Body

object

  • code string
  • message string
  • status integer
403
Forbidden

Response Body

object

  • code string
  • message string
  • status integer
404
The specified resource was not found

Response Body

object

  • code string
  • message string
  • status integer
500
Server Error - Transient error please try again

Response Body

object

  • code string
  • message string
  • status integer